#---------------------------------------------------------------#
# Network ID

variable "VPC_ID" {
  default = "vpc-00ba2b0e9ad59f0ed"
}

variable "Network_CIDR" {
  default = "172.24.0.0/19"
}

variable "Private_Subnet_ID_1" {
  default = "subnet-024f0deda82039fa4"
}

variable "Private_Subnet_ID_2" {
  default = "subnet-050d942fa1c46540a"
}

variable "Private_Subnet_ID_3" {
  default = "subnet-0946eb806af7377be"
}

variable "Public_Subnet_ID_1" {
  default = "subnet-00c363356f133411d"
}

variable "Public_Subnet_ID_2" {
  default = "subnet-07aa5e879a262014d"
}

variable "Public_Subnet_ID_3" {
  default = "subnet-0073a61bc56a68a3e"
}

variable "users" {
  description = "Dev2 users"
  type        = list(string)
  default     = ["user1","user2"]
}

variable "apps_users" {
  description = "Apps users and their groups"
  type        = list(object({
    name   = string
    groups = list(string)
  }))

  default     = [
    {
      name   = "grafana-cloudwatch"
      groups = ["CloudWatch_ReadOnly_Access_Group", "Logs_ReadOnly_Access_Group", "CloudTrail_ReadOnly_Access_Group"]
    },
    {
      name   = "argo-workflow"
      groups = ["Ec2_ReadOnly_Access_Group", "S3_Full_Access_Group"]
    },
    {
      name   = "dsk-metering"
      groups = ["S3_Full_Access_Group"]
    }
  ]
}

variable "tmp_users" {
  description = "temp users and their groups"
  type        = list(object({
    name            = string
    is_console_user = bool
    groups          = list(string)
  }))

  default = [
    {
      name            = "bypark",
      is_console_user = true,
      groups          = ["S3_Full_Access_Group", "Sqs_Full_Access_Group", "CloudWatch_ReadOnly_Access_Group"]
    },
    {
      name            = "baekchan",
      is_console_user = true,
      groups          = ["S3_Full_Access_Group", "CloudWatch_ReadOnly_Access_Group"]
    }
  ]
}

